## List Target Environments `client.VulnerabilityScanner.TargetEnvironments.List(ctx, params) (*V4PagePaginationArray[TargetEnvironmentListResponse], error)` **get** `/accounts/{account_id}/vuln_scanner/target_environments` Returns all target environments for the account. ### Parameters - `params TargetEnvironmentListParams` - `AccountID param.Field[string]` Path param: Identifier. - `Page param.Field[int64]` Query param: Page number of paginated results. - `PerPage param.Field[int64]` Query param: Number of results per page. ### Returns - `type TargetEnvironmentListResponse struct{…}` - `ID string` Target environment identifier. - `Name string` Human-readable name. - `Target TargetEnvironmentListResponseTarget` Identifies the Cloudflare asset to scan. Uses a `type` discriminator. Currently the service supports only `zone` targets. - `Type TargetEnvironmentListResponseTargetType` - `const TargetEnvironmentListResponseTargetTypeZone TargetEnvironmentListResponseTargetType = "zone"` - `ZoneTag string` Cloudflare zone tag. The zone must belong to the account. - `Description string` Optional description providing additional context. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/vulnerability_scanner" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.VulnerabilityScanner.TargetEnvironments.List(context.TODO(), vulnerability_scanner.TargetEnvironmentListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "name": "Production Zone", "target": { "type": "zone", "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249" }, "description": "Main production environment" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```